Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List

Get All Skills from a Skill Group

To retrieve the list of skills with the given streamId and SkillGroupId.
MethodGET
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills?limit=10&page=1
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required
skillGroupIdId of the Skill Group.string, required

Query Parameters

ParameterDescriptionType
pagePage number to retrieve. Starts from 1. Default value is 1.integer, optional
limitNumber of records to return per page. Default value is 10.integer, optional

Sample Request

curl --location --request GET 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills?limit=10&page=1' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \

Sample Response

{
    "results": [
        {
            "id": "sk-87679",
            "name": "Account Management",
            "description": "Manage Account and its Settings",
            "agents": 15,
            "skillGroupId": "sg-4372"
        }
    ],
    "page": 1,
    "limit": 10,
    "hasMore": true,
    "totalPages": 1,
    "totalResults": 1
}